Package com.independentsoft.office.odf

# Enum Class CellValueType

java.lang.Object
java.lang.Enum<CellValueType>
com.independentsoft.office.odf.CellValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<CellValueType>`, `Constable`

public enum CellValueType extends Enum<CellValueType>
Represents the cell value type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  Cell contains a boolean value encoded as true or false.
  `CURRENCY`
  Cell contains a numeric value and currency symbol.
  `DATE`
  Cell contains a date value or date and time value.
  `FLOAT`
  Cell contains a numeric value.
  `NONE`
  None
  `PERCENTAGE`
  Cell contains a numeric value.
  `STRING`
  Cell contains a string value.
  `TIME`
  Cell contains a time value of duration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CellValueType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CellValueType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLOAT

    public static final CellValueType FLOAT
    Cell contains a numeric value.

  - ### PERCENTAGE

    public static final CellValueType PERCENTAGE
    Cell contains a numeric value.

  - ### CURRENCY

    public static final CellValueType CURRENCY
    Cell contains a numeric value and currency symbol.

  - ### DATE

    public static final CellValueType DATE
    Cell contains a date value or date and time value.

  - ### TIME

    public static final CellValueType TIME
    Cell contains a time value of duration.

  - ### BOOLEAN

    public static final CellValueType BOOLEAN
    Cell contains a boolean value encoded as true or false.

  - ### STRING

    public static final CellValueType STRING
    Cell contains a string value.

  - ### NONE

    public static final CellValueType NONE
    None

- ## Method Details

  - ### values

    public static CellValueType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CellValueType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null